-- Author      : Kurapica
-- Change Log  :
--				2011/03/13	Recode as class

---------------------------------------------------------------------------------------------------------------------------------------
--- GroupBox is created as a box to contains other frames.
-- <br><br>inherit <a href="..\Base\Frame.html">Frame</a> For all methods, properties and scriptTypes
-- @name GroupBox
-- @class table
-- @field Caption the groupbox's caption text
---------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 4

if not IGAS:NewAddon("IGAS.Widget.GroupBox", version) then
	return
end

class "GroupBox"
	inherit "Frame"
	
    -- Script
    local _FrameBackdrop = {
        bgFile = "Interface\\Buttons\\UI-SliderBar-Background",
        edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
        tile = true, tileSize = 8, edgeSize = 8,
        insets = { left = 3, right = 3, top = 6, bottom = 6 }
    }

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	-- Text
	property "Caption" {
		Set = function(self, text)
			self:GetChild("Text").Text = text
		end,

		Get = function(self)
			return self:GetChild("Text").Text
		end,

		Type = String,
	}

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
    function GroupBox(name, parent)
        local frame = Frame(name,parent)

        frame.Width = 700
        frame.Height = 500
        frame.FrameStrata = "DIALOG"
        frame.Toplevel = true

        frame:SetPoint("CENTER",parent,"CENTER",0,0)
        frame:SetBackdrop(_FrameBackdrop)
        frame:SetBackdropColor(0,0,0,1)

        local text = FontString("Text", frame, "OVERLAY","GameFontNormal")
        text.JustifyH = "LEFT"
        text:SetPoint("BOTTOMLEFT", frame, "TOPLEFT", 0, 0)
        text.Text = "GroupBox"

        return frame
    end
endclass "GroupBox"